# Generated from umbreo_cli-1.0.143.gem by gem2rpm -*- rpm-spec -*-
%global gem_name umbreo_cli

Name: rubygem-%{gem_name}
Version: 1.0.143
Release: 1%{?dist}
Summary: Umbreo Command Line Interface
License: MIT
URL: http://rubygems.org/gems/umbreo_cli
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(byebug) = 9.0.6
# BuildRequires: rubygem(gherkin) >= 4.0
# BuildRequires: rubygem(gherkin) < 5
# BuildRequires: rubygem(gherkin) >= 4.0.0
# BuildRequires: rubygem(minitest)
# BuildRequires: rubygem(vcr)
# BuildRequires: rubygem(webmock)
# BuildRequires: rubygem(cucumber)
BuildArch: noarch

%description
Umbreo Command Line Interface.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# cucumber
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/umbreo
%{gem_instdir}/.env
%{gem_instdir}/.ruby-version
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/umbreo.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 1.0.143-1
- Initial package
